<?php
include('../../../wp-load.php' );

//Limite de Registros
$limit = 30;
$mkthumb = 0;

if( isset($_GET['limit']) )
$limit = (int) $_GET['limit'];

if( isset($_GET['mkthumb']) )
$mkthumb = (int) $_GET["mkthumb"];

// XML
header("Content-Type: application/xml; charset=UTF-8");
header("Expires: Mon, 26 Jul 1997 05:00:00 GMT");
header("Last-Modified: ". gmdate("D, d M Y H:i:s") ." GMT");
header("Cache-Control: no-store, no-cache, must-revalidate");
header("Cache-Control: post-check=0, pre-check=0", false);
header("Pragma: no-cache");

echo '<' . '?xml version="1.0" encoding="UTF-8" ?' . '>'.chr(13);
echo '<conteudo>'.chr(13);

$sql = "SELECT ID,post_title,post_content,post_modified,post_date 
		FROM $wpdb->posts 
		WHERE post_type = 'post' 
		AND post_status = 'publish' 
		ORDER BY post_date DESC
		LIMIT $limit";

$conteudos = $wpdb->get_results($sql);
$logotipo = get_option('logotipo');

foreach($conteudos as $conteudo){ 
	if($mkthumb > 0){
		blogR_makeThumb($conteudo->post_content, $conteudo->ID);
		sleep(1);
	}

	echo '<item>'.chr(13);
	echo '<id_post>'.$conteudo->ID.'</id_post>'.chr(13);
	echo '<thumb_blog><![CDATA['.$logotipo.']]></thumb_blog>'.chr(13);
	echo '<thumb_post><![CDATA['.blogR_getURLThumb($conteudo->ID, $conteudo->post_content).']]></thumb_post>'.chr(13);
	echo '<titulo><![CDATA['.$conteudo->post_title.']]></titulo>'.chr(13);
	echo '<link><![CDATA['.get_option('siteurl').'/?p='.$conteudo->ID.']]></link>'.chr(13);
	echo '<data_publicacao>'.$conteudo->post_date.'</data_publicacao>'.chr(13);
	echo '</item>'.chr(13);
}
echo '</conteudo>'.chr(13);
?>